
//Prelucrarea imaginilor - laboratorul nr. 1
//Mihai Ivanovici 

#ifndef APLICATIE_H
#define APLICATIE_H

#include <qwidget.h>
#include <qimage.h>
#include <qpainter.h>
#include <qlabel.h>

class QMenuBar;
class QPopupMenu;

class ImageViewer : public QWidget
{
    Q_OBJECT

    public:
	ImageViewer( QWidget *parent = 0 , const char *name = 0 , int wFlags = 0 );
        ~ImageViewer();
	bool	loadImage( const char *fileName );

    protected:
	void	paintEvent( QPaintEvent * );

    private:
        void		scale();
        int		conversion_flags;
        int		alloc_context;
        const char* 	filename;

        QImage		image;		
        QPixmap		pm;		

	QMenuBar    	*menubar;
        QPopupMenu  	*file;
	QPopupMenu	*help;
	QLabel		*status;

	bool 		reconvertImage();

    private slots:
	void	openFile( void );
	void	saveFile( void );
	void	about( void );
};

#endif // APLICATIE_H

